Subject: Re: [PATCH iproute2] Revert "iproute: "list/flush/save default" selected all of the routes"

From: Stephen Hemminger <[email-masked]>
Date: Tue, 27 Mar 2018 10:58:54 -0700

On Tue, 27 Mar 2018 19:33:28 +0200
Alexander Zubkov <[email-masked]> wrote:

> master before merging revert + my recent patch (1) should work. Or you mean to prepare patch to change new master to desired state? I can do it.
> 
> 1) https://git.kernel.org/pub/scm/network/iproute2/iproute2.git/patch/?id=7696f1097f79be2ce5984a8a16103fd17391cac2
> 
> 27.03.2018, 19:00, "Stephen Hemminger" <[email-masked]>:
> > On Tue, 27 Mar 2018 18:29:31 +0200
> > Alexander Zubkov <[email-masked]> wrote:
> >  
> >>  Hi Stephen,
> >>
> >>  Looks like the new patch was applied after the revert of original patch and fix patch for 4.15 branch. Which is not correct and I did not test it. This is how patches were designed:
> >>  1) your revert patch - rolls back 4.15 branch to old behaviour by reverting the original patch
> >>  2) my patch for 4.15 - fixes problem is 4.15 branch, it does not require revert patch, it is an alternative solution for the problem, it is designed solely for version 4.15
> >>  3) my patch for master - fixes problem, it requires neither revert patch nor my patch for 4.15, it is standalone patch designed to do things right in master branch
> >>
> >>  27.03.2018, 18:01, "Stephen Hemminger" <[email-masked]>:  
> >>  > On Wed, 14 Mar 2018 21:26:40 +0100
> >>  > Alexander Zubkov <[email-masked]> wrote:
> >>  >  
> >>  >>  Hello,
> >>  >>
> >>  >>  For example, it can be fixed in such way (patch is below):
> >>  >>  - split handling of default and all/any
> >>  >>  - set needed attributes in get_addr: PREFIXLEN_SPECIFIED flag for default
> >>  >>  - and AF_UNSPEC for all/any
> >>  >>  In this case "ip route show default" shows only default route and "ip
> >>  >>  route show all" shows all routes. And both also work when family (-4 or
> >>  >>  -6) is specified.
> >>  >>  Serhey, does it goes in line with what you wanted to achieve? Because I
> >>  >>  do not know - may be there are reasons why all/any should be provided
> >>  >>  with specific family. If you think this solution is suitable, I'll do
> >>  >>  some additional tests and package the patch in a proper way for this
> >>  >>  mailing list.
> >>  >>  And I'm unsure if check for AF_DECnet and AF_MPLS should be kept in both
> >>  >>  branches. May be someone have some additional thoughts on that?  
> >>  >
> >>  > I applied this to master.
> >>  >
> >>  > We can work on the other cases after that.  
> >
> > Please send the update back to what works.  

Make patches against current master.
For visible repositories, I prefer to only move forward and not rollback.
So you can send a revert patch than new code if that is easier.